%define major 3
%define libname %mklibname shout %{major}
%define develname %mklibname shout -d

Summary:	A library for communicating with and sending data to an icecast server
Name:		libshout
Version:	2.4.6
Release:	%mkrel 1
Group:		System/Libraries
License:	LGPL+
URL:		http://www.icecast.org/
Source0:	http://downloads.us.xiph.org/releases/libshout/%{name}-%{version}.tar.xz
BuildRequires:	libogg-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libtheora-devel
BuildRequires:	speex-devel

%description
Libshout is a library for communicating with and sending data to an
icecast server.  It handles the socket connection, the timing of the
data, and prevents bad data from getting to the icecast server.

With just a few lines of code, a programmer can easily turn any
application into a streaming source for an icecast server.  Libshout also
allows developers who want a specific feature set (database access,
request taking) to concentrate on that feature set, instead of worrying
about how server communication works.

Please refer to the API reference and example code to start learning how
to use libshout in your own code.

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Libraries
Requires:	speex-devel
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname shout 3 -d}

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %buildroot
%makeinstall_std

# remove installed doc
rm -rf %{buildroot}%{_datadir}/doc/%{name}
rm -f %{buildroot}%{_libdir}/*.la

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%{_bindir}/shout
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%defattr(-,root,root)
%doc README
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/shout.pc
%{_datadir}/aclocal/shout.m4
%{_libdir}/ckport/db/libshout.ckport
%{_datadir}/man/man1/shout.1.bz2

%changelog
* Wed Feb 14 2024 onkelho <oh.quait at gmail.com> - 2.4.6-1quait2024
- new version

* Fri Nov 20 2020 tex - 2.4.4-1pclos2020
- new version

* Mon Dec 02 2019 tex - 2.4.3-2pclos2019
- rebuild against updates

* Fri Jul 05 2019 tex - 2.4.3-1pclos2019
- new version

* Sat Mar 11 2017 bb2 <bb2> - 2.4.1-3pclos2017
- rebuild for updates

* Sat Mar 05 2016 bb <bb> 2.4.1-2pclos2016
- update

* Tue Jan 05 2016 bb <bb> 2.4.1-1pclos2016
- update

* Thu Jun 26 2014 pinoc <vogtpet at gmail.com> 2.3.1-1pclos2014
- renamed spec-file, use xz, and remove la-files
- 2.3.1

* Wed May 20 2009 pcserver <pcserver@hushmail.com> 2.2.2-3pclos2009
- fix speex
